**Full name**: projects.locations.ragCorpora.ragFiles.ragMetadata.create

Creates a RagMetadata.

### Endpoint

post `https://{service-endpoint}/v1beta1/{parent}/ragMetadata`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The parent resource where this metadata will be created. Format: `projects/{projectNumber}/locations/{locationId}/ragCorpora/{ragCorpus}/ragFiles/{ragFile}`

### Query parameters

`ragMetadataId` `string` Optional. The id to use for the metadata, which will become the final component of the metadata's resource name if the user chooses to specify. Otherwise, metadata id will be generated by system.

This value should be up to 63 characters, and valid characters are /\[a-z\]\[0-9\]-/. The first character must be a letter, the last could be a letter or a number.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.ragCorpora.ragFiles.ragMetadata#RagMetadata`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.ragCorpora.ragFiles.ragMetadata#RagMetadata`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.ragFiles.upload`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).